<?




if ($user['level']>$ank['level'] || $user['id']==$ank['id']){




if (isset($_GET['edit']) && $_GET['edit']=='rename')




{




echo "<div class=\"foot\">\n";




echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a> | \n";




echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";




echo "<a href='/foto/$ank[id]/$gallery[id]/'>".htmlspecialchars($gallery['name'])."</a> | \n";




echo '<b>Редактирование</b>';




echo "</div>\n";









echo "<form action='?edit=rename&amp;ok' method=\"post\">";









echo "Название:<br />";




echo "<input name='name' type='text' value='$gallery[name]' /><br />";









echo "Описание:$tPanel";




echo "<textarea name='opis'>".esc(stripcslashes(htmlspecialchars($gallery['opis'])))."</textarea><br />";




echo "Пароль:<br />";




echo "<input name='pass' type='text' value='$gallery[pass]' /><br />";









echo "<div class='main'>Могут смотреть:<br /><input name='privat' type='radio' ".($gallery['privat']==0?' checked="checked"':null)." value='0' />Все ";




echo "<input name='privat' type='radio' ".($gallery['privat']==1?' checked="checked"':null)." value='1' />Друзья ";




echo "<input name='privat' type='radio' ".($gallery['privat']==2?' checked="checked"':null)." value='2' />Только я</div>";









echo "<div class='main'>Могут комментировать:<br /><input name='privat_komm' type='radio' ".($gallery['privat_komm']==0?' checked="checked"':null)." value='0' />Все ";




echo "<input name='privat_komm' type='radio' ".($gallery['privat_komm']==1?' checked="checked"':null)." value='1' />Друзья ";




echo "<input name='privat_komm' type='radio' ".($gallery['privat_komm']==2?' checked="checked"':null)." value='2' />Только я</div>";














echo "<input class='submit' type='submit' value='Применить' /> ";




echo " <a href='?'>Отмена</a><br />";




echo "</form>";









echo "<div class=\"foot\">\n";




echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a> | \n";




echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";




echo "<a href='/foto/$ank[id]/$gallery[id]/'>".htmlspecialchars($gallery['name'])."</a> | \n";




echo '<b>Редактирование</b>';




echo "</div>\n";









include_once '../sys/inc/tfoot.php';




exit;




}




}














if ((user_access('foto_alb_del') || isset($user) && $user['id']==$ank['id']) && isset($_GET['act']) && $_GET['act']=='delete')




{




echo "<form class='foot' action='?act=delete&amp;ok&amp;page=$page' method=\"post\">";




echo "<div class='err'>Подтвердите удаление фотоальбома</div>\n";




echo "<input class=\"submit\" type=\"submit\" value=\"Удалить\" /><br />\n";




echo "<img src='/style/icons/str2.gif' alt='*'> <a href='?'>Отмена</a><br />\n";




echo "</form>";




}














if (isset($user) && $user['id']==$ank['id'] && isset($_GET['act']) && $_GET['act']=='upload')




{




echo "<div class=\"foot\">\n";




echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a> | \n";




echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";




echo "<a href='/foto/$ank[id]/$gallery[id]/'>".htmlspecialchars($gallery['name'])."</a> | \n";




echo '<b>Загрузка фотографии</b>';




echo "</div>\n";









echo "<div class=\"nav2\">\n";




echo "<form enctype=\"multipart/form-data\" action='?act=upload&amp;ok&amp;page=$page' method=\"post\">";




echo "Название:<br />\n";




echo "<input name='name' type='text' /><br />\n";




echo "Файл:<br />\n";




echo "<input name='file' type='file' accept='image/*,image/jpeg' /><br />\n";




echo "Описание:$tPanel\n";




echo "<textarea name='opis'></textarea><br />\n";




echo "<label><input type='checkbox' name='metka' value='1' /> Метка <font color=red>18+</font></label><br />";




echo "</div>\n";









echo "<div class=\"mess\">\n";




echo "<b>Размещаемые на Сайте Фото не должны:</b><br />\n";




echo "* нарушать действующее законодательство, честь и достоинство, права и охраняемые законом интересы третьих лиц, способствовать разжиганию религиозной, расовой или межнациональной розни, содержать сцены насилия, либо бесчеловечного обращения с животными, и т.д.;<br />\n";




echo "* носить непристойный или оскорбительный характер;<br />\n";




echo "* содержать рекламу наркотических средств;<br />\n";




echo "* нарушать права несовершеннолетних лиц;<br />\n";




echo "* нарушать авторские и смежные права третьих лиц;<br />\n";




echo "* носить порнографический характер;<br />\n";




echo "* содержать коммерческую рекламу в любом виде.<br />\n";




echo "</div>\n";









echo "<div class=\"nav1\">\n";




echo "<input class=\"submit\" type=\"submit\" value=\"Выгрузить\" /> \n";




echo "<img src='/style/icons/delete.gif' alt='*'> <a href='?'>Отмена</a>\n";




echo "</div>\n";




echo "</form>";









echo "<div class=\"foot\">\n";




echo "<img src='/style/icons/str2.gif' alt='*'> <a href='/info.php?id=$ank[id]'>$ank[nick]</a> | \n";




echo "<a href='/foto/$ank[id]/'>Альбомы</a> | \n";




echo "<a href='/foto/$ank[id]/$gallery[id]/'>".htmlspecialchars($gallery['name'])."</a> | \n";




echo '<b>Загрузка фотографии</b>';




echo "</div>\n";









include_once '../sys/inc/tfoot.php';




exit;




}



















?>